%global forgeurl https://github.com/lsp-plugins/lsp-common-lib
Version:        1.0.33
%global tag %{version}
%forgemeta

Name:           lsp-common-lib
Release:        %autorelease
Summary:        Common library for basic language definitions used by LSP Project
License:        LGPL-3.0-or-later
URL:            %{forgeurl}
Source0:        %{forgesource}

BuildRequires:  gcc-c++
BuildRequires:  make

%description
lsp-common-lib is a common library for basic C/C++ language definitions used by
all other LSP-related libraries.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains development files for %{name}.

%prep
%forgeautosetup -p1

%build
make config PREFIX=%{_prefix} LIBDIR=%{_libdir}
%make_build

%install
%make_install

rm %{buildroot}%{_libdir}/*.a
mv %{buildroot}%{_libdir}/liblsp-common-lib-%{version}.so %{buildroot}%{_libdir}/liblsp-common-lib.so.%{version}

%files
%license COPYING.LESSER
%doc README.md
%{_libdir}/liblsp-common-lib.so.%{version}

%files devel
%dir %{_includedir}/lsp-plug.in
%{_includedir}/lsp-plug.in/common/
%{_includedir}/lsp-plug.in/stdlib/
%{_libdir}/liblsp-common-lib.so
%{_libdir}/pkgconfig/lsp-common-lib.pc

%changelog
%autochangelog
